Subject: bug#30039: 26.0.90; [26.1] Making my code warning free is impossible with when-let

From: Noam Postavsky <[email-masked]>
Date: Fri, 19 Jan 2018 15:00:30 -0500

On Thu, Jan 11, 2018 at 4:19 AM, Damien Cassou <[email-masked]> wrote:
> Noam Postavsky <[email-masked]> writes:
>> How about adding a variable which suppresses deprecation warnings from
>> a specified version and up. Attached is a work-in-progress patch which
>> would allow you to set byte-compile-not-obsolete-since to "25.1" in
>> your CI script (or file-locally) and thus ignore deprecation warnings
>> from 26.1 or newer.
>
> that’s a nice workaround. Is it too late for an inclusion in 26.1? I
> guess what I’m really after is a configurable lint tool…

Here's a finished version of the patch. Eli, is it okay for emacs-26?